[Overview][Constants][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TStreamHelper.WriteDWordLE

Write a DWord value, little endian

## Declaration

Source position: streamex.pp line 188

`procedure TStreamHelper.WriteDWordLE(`
`dw: dword`
`);`

## Arguments

`dw` |  | DWord value to write

## Description

WriteDWordLE writes a DWord-sized value to the stream, little-endian (LSB first).

## Errors

If not all data (4 bytes) can be written, an EWriteError exception is raised.

## See also

TStreamHelper.ReadDWordLE |  | Read a DWord from the stream, little endian
TStreamHelper.WriteWordLE |  | Write a word value, little endian
TStreamHelper.WriteQWordLE |  | Write a QWord value, little endian